=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pysaml2 pysaml2-(.*).tar.gz
