## python-pysaml2 2.4.0

=== debian/changelog ===
python-pysaml2 (2.4.0-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Depend on python-pymongo versions 3.0 and higher
  * debian/patches/fix-build-against-new-pymongo.patch:
    - Cherry-pick fix pysaml2 with python-pymongo 3.0
  * debian/patches/fix-test-failures.patch:
    - Fix the newly failing test failures (LP: #1503698)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 08 Oct 2015 20:16:42 +0200

python-pysaml2 (2.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release, supporting MIR for keystone (LP: #1434526):
    - d/control: Drop runtime dependency on python-repoze.who back to
      a Suggests, remove BD.
    - d/p/disable-repoze.who-tests.patch: Skip hard requirement on repoze.who
      and dependent tests, as repoze.who is unmaintained and out-of-date
      in Debian and Ubuntu.
    - d/p/*: Drop all previous patches, no longer required.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Mar 2015 13:33:26 +0000

python-pysaml2 (2.2.0-0ubuntu2) vivid; urgency=medium

  * d/p/disable-online-tests.patch: Disable tests that require access to
    online resources.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jan 2015 11:54:09 +0000

python-pysaml2 (2.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.
    - d/control: Add python-pymongo to BD's.
    - d/p/disable-failing-tests.patch: Disable two tests that currently
      fail in the upstream code base.
    - d/p/fix-error-tests.patch: Fixup problems with lack of full_path
      use in some test cases.
  * d/watch: Fix parsing of pypi urls.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jan 2015 11:43:42 +0000
