=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.6.6-3~),
@@ -16,7 +17,7 @@
                      python-paste,
                      python-pyasn1,
                      python-pytest,
-                     python-repoze.who,
+                     python-pymongo (>= 3.0.1),
                      python-requests,
                      python-tz,
                      python-zope.interface,
@@ -33,10 +34,10 @@
 Depends: python-mako,
          python-memcache,
          python-pyasn1,
-         python-repoze.who,
          xmlsec1,
          ${misc:Depends},
          ${python:Depends}
+Suggests: python-repoze.who
 Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
