## python-pysaml2 3.0.0

=== debian/changelog ===
python-pysaml2 (3.0.0-5+deb9u2) stretch-security; urgency=medium

  [ Brian May ]
  * Non-maintainer upload by the LTS Security Team.
  * Fix CVE-2021-21239 - Restrict the key data that xmlsec1 accepts to on.

  [ Abhijith PA ]
  * Fix CVE-2017-1000433 - bypass password with python optimizations
    enabled

 -- Brian May <bam@debian.org>  Tue, 02 Feb 2021 08:42:57 +1100

python-pysaml2 (3.0.0-5+deb9u1) stretch-security; urgency=medium

  * CVE-2020-5390

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 19 Feb 2020 21:45:47 +0100

python-pysaml2 (3.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Add upstream patch for XML External Entity attack (Closes: #850716).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jan 2017 16:28:55 +0100

python-pysaml2 (3.0.0-4) unstable; urgency=medium

  [ gustavo panizzo ]
  * Increase the minimun version of python-pyasn1 required.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:47:50 +0100

python-pysaml2 (3.0.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:48:31 +0000

python-pysaml2 (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:34:56 +0000

python-pysaml2 (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Added Python3 support.
  * Updated watch file to use github tag and not broken pypi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 31 Jul 2015 08:47:57 +0000

python-pysaml2 (2.4.0-2) unstable; urgency=medium

  * Makes build reproducible thanks to Juan Picca (Closes: #789751).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:41:09 +0200

python-pysaml2 (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Dropped X-Python-Version: >= 2.7.
  * Standard-Versions: is now 3.9.6.
  * Also renames /usr/bin/merge_metadata.py as pysaml2-merge-metadata.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 May 2015 17:48:07 +0200
