=== debian/control ===
--- 
+++ 
@@ -1,43 +1,62 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9),
-               python-all (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 10),
+               dh-python,
+               python-all,
                python-setuptools,
-               python-sphinx
-Build-Depends-Indep: python-crypto,
+               python-sphinx,
+               python3-all,
+               python3-setuptools
+Build-Depends-Indep: python-alabaster,
+                     python-crypto,
                      python-dateutil,
                      python-decorator,
+                     python-defusedxml,
                      python-mako,
                      python-memcache,
                      python-openssl,
                      python-paste,
-                     python-pyasn1,
+                     python-pyasn1 (>=0.1.8),
+                     python-pymongo,
                      python-pytest,
-                     python-pymongo (>= 3.0.1),
+                     python-repoze.who,
                      python-requests,
                      python-tz,
                      python-zope.interface,
+                     python3-crypto,
+                     python3-dateutil,
+                     python3-decorator,
+                     python3-defusedxml,
+                     python3-mako,
+                     python3-memcache,
+                     python3-openssl,
+                     python3-paste,
+                     python3-pyasn1 (>=0.1.8),
+                     python3-pymongo,
+                     python3-pytest,
+                     python3-repoze.who,
+                     python3-requests,
+                     python3-tz,
+                     python3-zope.interface,
                      xmlsec1
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.7
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pysaml2.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-pysaml2.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pysaml2?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-pysaml2 -b debian/newton
 Homepage: https://github.com/rohe/pysaml2
 
 Package: python-pysaml2
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
-Depends: python-mako,
+Depends: python-defusedxml,
+         python-mako,
          python-memcache,
-         python-pyasn1,
+         python-pyasn1 (>=0.1.8),
+         python-repoze.who,
          xmlsec1,
          ${misc:Depends},
          ${python:Depends}
-Suggests: python-repoze.who
 Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
@@ -54,10 +73,35 @@
  .
  This package contains the Python 2.x module.
 
+Package: python3-pysaml2
+Architecture: all
+Depends: python3-defusedxml,
+         python3-mako,
+         python3-memcache,
+         python3-pyasn1 (>=0.1.8),
+         python3-repoze.who,
+         xmlsec1,
+         ${misc:Depends},
+         ${python3:Depends}
+Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
+ This package provides a Python implementation of SAML Version 2 to be used in
+ a WSGI environment.
+ .
+ From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
+ of the SAML standard for exchanging authentication and authorization data
+ between security domains. SAML 2.0 is an XML-based protocol that uses security
+ tokens containing assertions to pass information about a principal (usually an
+ end user) between a SAML authority, that is, an identity provider, and a SAML
+ consumer, that is, a service provider. SAML 2.0 enables web-based
+ authentication and authorization scenarios including cross-domain single
+ sign-on (SSO), which helps reduce the administrative overhead of distributing
+ multiple authentication tokens to the user.
+ .
+ This package contains the Python 3.x module.
+
 Package: python-pysaml2-doc
 Section: doc
 Architecture: all
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: SAML Version 2 to be used in a WSGI environment - doc
  This package provides a Python implementation of SAML Version 2 to be used in
