=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: python-pysaml2
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
+               python3-setuptools,
 Build-Depends-Indep: python-alabaster,
                      python-crypto,
                      python-dateutil,
@@ -17,13 +18,15 @@
                      python-defusedxml,
                      python-mako,
                      python-memcache,
+                     python-mock,
                      python-openssl,
                      python-paste,
-                     python-pyasn1 (>=0.1.8),
+                     python-pyasn1,
                      python-pymongo,
+                     python-pymongo (>= 3.0.1),
                      python-pytest,
-                     python-repoze.who,
                      python-requests,
+                     python-responses,
                      python-tz,
                      python-zope.interface,
                      python3-crypto,
@@ -32,31 +35,31 @@
                      python3-defusedxml,
                      python3-mako,
                      python3-memcache,
+                     python3-mock,
                      python3-openssl,
                      python3-paste,
-                     python3-pyasn1 (>=0.1.8),
-                     python3-pymongo,
+                     python3-pyasn1,
+                     python3-pymongo (>= 3.0.1),
                      python3-pytest,
-                     python3-repoze.who,
                      python3-requests,
+                     python3-responses,
                      python3-tz,
                      python3-zope.interface,
-                     xmlsec1
+                     xmlsec1,
 Standards-Version: 3.9.6
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-pysaml2?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-pysaml2 -b debian/newton
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-pysaml2.git
+Vcs-Git: git://anonscm.debian.org/openstack/python-pysaml2.git
 Homepage: https://github.com/rohe/pysaml2
 
 Package: python-pysaml2
 Architecture: all
-Depends: python-defusedxml,
-         python-mako,
+Depends: python-mako,
          python-memcache,
-         python-pyasn1 (>=0.1.8),
-         python-repoze.who,
+         python-pyasn1,
          xmlsec1,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+Suggests: python-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
@@ -75,14 +78,13 @@
 
 Package: python3-pysaml2
 Architecture: all
-Depends: python3-defusedxml,
-         python3-mako,
+Depends: python3-mako,
          python3-memcache,
-         python3-pyasn1 (>=0.1.8),
-         python3-repoze.who,
+         python3-pyasn1,
          xmlsec1,
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+Suggests: python3-repoze.who,
 Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
@@ -102,7 +104,8 @@
 Package: python-pysaml2-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends},
 Description: SAML Version 2 to be used in a WSGI environment - doc
  This package provides a Python implementation of SAML Version 2 to be used in
  a WSGI environment.
