=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT := https://github.com/rohe/pysaml2.git
+UPSTREAM_GIT = git://github.com/rohe/pysaml2.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
@@ -32,9 +32,8 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -e && for pyvers in 2.7 $(PYTHON3S) ; do \
-		PYTHONPATH=$(CURDIR)/src:. py.test-$$pyvers || true ; \
-	done
+	PYTHONPATH=$(CURDIR)/src:. pytest tests
+	PYTHONPATH=$(CURDIR)/src:. pytest-3 tests
 endif
 
 override_dh_clean:
