=== debian/control ===
Source: python-pysaml2
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-alabaster,
 python-betamax,
 python-crypto,
 python-dateutil,
 python-decorator,
 python-defusedxml,
 python-future,
 python-mako,
 python-memcache,
 python-mock,
 python-openssl,
 python-paste,
 python-pyasn1,
 python-pymongo,
 python-pytest,
 python-repoze.who,
 python-requests,
 python-responses,
 python-tz,
 python-zope.interface,
 python3-betamax,
 python3-crypto,
 python3-dateutil,
 python3-decorator,
 python3-defusedxml,
 python3-future,
 python3-mako,
 python3-memcache,
 python3-mock,
 python3-openssl,
 python3-paste,
 python3-pyasn1,
 python3-pymongo,
 python3-pytest,
 python3-repoze.who,
 python3-requests,
 python3-responses,
 python3-tz,
 python3-zope.interface,
 xmlsec1,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-pysaml2
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-pysaml2.git
Homepage: https://github.com/rohe/pysaml2

Package: python-pysaml2
Architecture: all
Depends:
 python-defusedxml,
 python-future,
 python-mako,
 python-memcache,
 python-pyasn1,
 python-repoze.who,
 python-responses,
 xmlsec1,
 ${misc:Depends},
 ${python:Depends},
Description: SAML Version 2 to be used in a WSGI environment - Python 2.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 2.x module.

Package: python-pysaml2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SAML Version 2 to be used in a WSGI environment - doc
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the documentation.

Package: python3-pysaml2
Architecture: all
Depends:
 python3-defusedxml,
 python3-future,
 python3-mako,
 python3-memcache,
 python3-pyasn1,
 python3-repoze.who,
 python3-responses,
 xmlsec1,
 ${misc:Depends},
 ${python3:Depends},
Description: SAML Version 2 to be used in a WSGI environment - Python 3.x
 This package provides a Python implementation of SAML Version 2 to be used in
 a WSGI environment.
 .
 From wikipedia: Security Assertion Markup Language 2.0 (SAML 2.0) is a version
 of the SAML standard for exchanging authentication and authorization data
 between security domains. SAML 2.0 is an XML-based protocol that uses security
 tokens containing assertions to pass information about a principal (usually an
 end user) between a SAML authority, that is, an identity provider, and a SAML
 consumer, that is, a service provider. SAML 2.0 enables web-based
 authentication and authorization scenarios including cross-domain single
 sign-on (SSO), which helps reduce the administrative overhead of distributing
 multiple authentication tokens to the user.
 .
 This package contains the Python 3.x module.
