=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/rohe/pysaml2.git
include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

#export http_proxy=127.0.0.1:9
#export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install
	for i in `ls $(CURDIR)/debian/python*-pysaml2/usr/bin/*.py` ; do \
		DEST_FILE=`echo $$i | sed s/\\.py\\$$//` ; \
		mv $$i $$DEST_FILE ; \
	done
	sed -i 's| #!/usr/bin/env python|#!/usr/bin/env python|' $(CURDIR)/debian/python-pysaml2/usr/bin/python2-mdexport
	sed -i 's| #!/usr/bin/env python|#!/usr/bin/env python3|' $(CURDIR)/debian/python3-pysaml2/usr/bin/python3-mdexport

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in 2.7 $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/src:. python$$pyvers -m pytest tests ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -D today="$(BUILD_DATE)" -b html doc debian/python-pysaml2-doc/usr/share/doc/python-pysaml2-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
