=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/rohe/pysaml2/tags .*/(\d[\d\.]+)\.tar\.gz
